<?php


namespace App\Api\V1\Controllers;


use App\Http\Controllers\Controller;
use App\Models\MensajeUsuarios;
use App\Traits\OneSignalMessages;
use Illuminate\Http\Request;

class DialogueController extends Controller
{
    use OneSignalMessages;

    public function getDialogueDriver(Request $request)
    {
      $mensajesChofer = MensajeUsuarios::where('tipo_usuario','Chofer')->get();

        return response()->json($mensajesChofer);
    }

    public function getDialogueRepresentative(Request $request)
    {
        $mensajesApoderado = MensajeUsuarios::where('tipo_usuario','Apoderado')->get();

        return response()->json($mensajesApoderado);
    }

}